Add hash argument description for GC.stat and GC.latest_gc_info document

01/27/2018 05:20 AM - sho-h (Sho Hashimoto)

Status: Closed   

Priority: Normal   

Assignee: ko1 (Koichi Sasada)   

Target version:    

ruby -v:  Backport: 2.3: UNKNOWN, 2.4: UNKNOWN, 2.5:

UNKNOWN

Description

I want to add hash argument description to GC.stat and GC.latest_gc_info document.

I guess this argument is for avoiding probe effect like ObjectSpace.#count_objects.

https://docs.ruby-lang.org/en/2.5.0/ObjectSpace.html#method-c-count_objects

@ko1 (Koichi Sasada): Is above correct?

Associated revisions

Revision eb4c86a698e1be9fa2a79f4edb1c891396e6074e - 01/15/2020 01:20 AM - ko1 (Koichi Sasada)

Add option hash doc for GC stats.

Add a description about optional hash objects for GC.stat and

GC.latest_gc_info. [Bug #14408]

The patch is provided by sho-h (Sho Hashimoto).

Thank you so much.

Revision eb4c86a698e1be9fa2a79f4edb1c891396e6074e - 01/15/2020 01:20 AM - ko1 (Koichi Sasada)

Add option hash doc for GC stats.

Add a description about optional hash objects for GC.stat and

GC.latest_gc_info. [Bug #14408]

The patch is provided by sho-h (Sho Hashimoto).

Thank you so much.

Revision eb4c86a6 - 01/15/2020 01:20 AM - ko1 (Koichi Sasada)

Add option hash doc for GC stats.

Add a description about optional hash objects for GC.stat and

GC.latest_gc_info. [Bug #14408]

The patch is provided by sho-h (Sho Hashimoto).

Thank you so much.

History

#1 - 08/09/2018 10:44 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Assigned

- Assignee set to ko1 (Koichi Sasada)

To. ko1

Can you confirm an attached patch?

#2 - 12/29/2019 10:36 AM - hsbt (Hiroshi SHIBATA)

- Tags set to doc, notbug

#3 - 01/15/2020 01:23 AM - ko1 (Koichi Sasada)
https://docs.ruby-lang.org/en/2.5.0/ObjectSpace.html#method-c-count_objects
https://redmine.ruby-lang.org/users/17


- Status changed from Assigned to Closed

Applied in changeset git|eb4c86a698e1be9fa2a79f4edb1c891396e6074e.

Add option hash doc for GC stats.

Add a description about optional hash objects for GC.stat and

GC.latest_gc_info. [Bug #14408]

The patch is provided by sho-h (Sho Hashimoto).

Thank you so much.

Files

update_gc_args.patch 753 Bytes 01/27/2018 sho-h (Sho Hashimoto)
